libraw1394: version 2.0.4
Prev |  | Next

# raw1394_errcode_to_errno

## Name

raw1394_errcode_to_errno -- convert libraw1394 errcode to errno

## Synopsis

``int raw1394_errcode_to_errno` (raw1394_errcode_t errcode);`

## Arguments

`errcode`

  the error code to convert

## Description

The error code as retrieved by `raw1394_get_errcode` is converted into a roughly equivalent errno number and returned. `0xdead` is returned for an illegal errcode.

It is intended to be used to decide what to do (retry, give up, report error) for those programs that aren't interested in details, since these get lost in the conversion. However the returned errnos are equivalent in source code meaning only, the associated text of e.g. `perror` is not necessarily meaningful.

## Returns

`EAGAIN` (retrying might succeed, also generation number mismatch), `EREMOTEIO` (other node had internal problems), `EPERM` (operation not allowed on this address, e.g. write on read-only location), `EINVAL` (invalid argument) and `EFAULT` (invalid pointer).

Prev | Home | Next
raw1394_get_errcode | Up | raw1394_new_handle